# Copyright 2012 Centre for Economic Studies and Planning (CESP)
#
# This script was written by Shreshtha Saraswat (shreshtha.saraswat at
# gmail dot com) as part of an initiative directed by Vikas Rawal
# (vikasrawal at gmail dot com) for preparing scripts for reading NSSO
# and ASI data. This initiative is supported by the CAS programme of
# CESP.
# 
# To run this, you need to specify below the ip address/hostname of
# the mysql server, the mysql username and mysql password.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

#! /bin/sh
server=127.0.0.1 # ip address/hostname of the mysql server 
username="USERNAME"   # mysql user name
pass="PASSWORD"    # password of the mysql user
time_start=`date +%s`
echo "Scripts to read NSS 57th round Schedule 1 data called at `date`"
rm -Rf ../csv1919west
mkdir ../csv1919west
./person_level_rural.awk ../Data/WHCC101R.TXT
./person_level_urban.awk ../Data/WHCC101U.TXT
./item_level_rural.awk ../Data/WHCC102R.TXT
./item_level_urban.awk ../Data/WHCC102U.TXT
echo "Data parsed into csv files for each level at `date`"
mysql --host=$server --user=$username --password=$pass < nss571.sql
mysqlimport -u $username -p$pass --fields-terminated-by=, NSS_57_1 --local ../csv1919west/Person_Level_Rural.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, NSS_57_1 --local ../csv1919west/Person_Level_Urban.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, NSS_57_1 --local ../csv1919west/Item_Level_Rural.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, NSS_57_1 --local ../csv1919west/Item_Level_Urban.csv
echo "Mysql database created at `date`"
echo "Now cleaning up..."
rm -Rf ../csv1919west
time_end=`date +%s`
time_exec=`expr $(( $time_end - $time_start ))`
echo "The script took $time_exec seconds to finish."
